#
# spec file for package zoneminder (Version 1.24.2) SuSE 10.x and openSuSE 11.x
#
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to monex@liquid-co.de
#

# norootforbuild

%define build_mp_package 0
%define debug_mode 1
%if %build_mp_package
Name:			ZoneMinder-MP
%else
Name:			ZoneMinder
%endif
BuildRequires:  	apache2 php5 apache2-mod_php5 php5-mysql php5-bz2 php5-gd php5-zlib php5-iconv php5-mcrypt php5-sockets libjpeg-devel pcre-devel gcc gcc-c++ perl perl-Archive-Tar perl-Archive-Zip perl-DBI perl-DBD-mysql perl-Crypt-SSLeay perl-XML-Parser perl-libwww-perl perl-DateManip perl-MIME-Lite perl-MIME-tools perl-php-serialization vorbis-tools unzip
%if %suse_version > 1030
BuildRequires:	libgnutls-devel
%else
BuildRequires:	gnutls-devel
%endif
%if %suse_version > 1100
BuildRequires:	libmysqlclient-devel
%else
BuildRequires:	mysql-devel
%endif

%if %build_mp_package
BuildRequires:		 faac faad2 faad2-devel ffmpeg lame libffmpeg0 libffmpeg-devel libmp4v2 libmp4v2-devel x264 x264-devel xvid xvid-devel
%endif
Requires:		perl = %perl_version
Requires: 		apache2 netpbm php5 apache2-mod_php5 php5-mysql php5-bz2 php5-gd php5-zlib php5-iconv php5-mcrypt php5-sockets python mysql perl-Archive-Tar perl-Archive-Zip perl-DBI perl-DBD-mysql perl-Crypt-SSLeay perl-XML-Parser perl-libwww-perl perl-DateManip perl-MIME-Lite perl-MIME-tools perl-php-serialization perl-Module-Load
%if %build_mp_package
Requires:		ffmpeg libffmpeg0 lame
%endif
Recommends:		perl-Device-SerialPort
%if %build_mp_package
Conflicts:		ZoneMinder
%endif
License:		GPL
Group:			Productivity/Networking/Web/Servers
Summary:		Video camera security and surveillance
Version:		1.24.2
Release:		3.1
Packager:		Monex <monex@liquid-co.de>
URL:			http://www.zoneminder.com/
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
Source0:		ZoneMinder-%{version}.tar.gz
Source1:		zm.init
Source2:		zm_database_init
Source3:		cambozola.jar
Source4:		README.cambozola.html
Source5:		LICENSE.cambozola
Source6:		zm.logrotate
Source7:		README.SuSE
Source8:		zm.apache
Source9:		mootools-1.2.3-core.js
Source10:		LICENSE.mootools
Patch1:		chown.patch
Patch2:		zm.conf.patch
Patch3:		zm_database_default_config.patch
Patch4:		fix-warnings.patch
Patch5:		fix-includes.patch

%description
ZoneMinder is a video camera security and surveillance system for linux

Authors:
--------
    Philip Coombes <philip.coombes@zoneminder.com>

%description -l de
ZoneMinder ist eine video überwachungs suite für Linux

Authors:
--------
    Philip Coombes <philip.coombes@zoneminder.com>


%debug_package
%prep

%if %build_mp_package
%setup -q -n ZoneMinder-%{version}
%else
%setup -q
%endif
cp -a %SOURCE4 .
cp -a %SOURCE5 .
cp -a %SOURCE7 .
cp -a %SOURCE10 .
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%if %suse_version > 1030
%patch5 -p1
%endif
aclocal
autoconf
automake

%build
./configure \
  --with-mysql=/usr/include/mysql \
  --with-webdir=/srv/www/htdocs/zm \
  --with-cgidir=/srv/www/cgi-bin \
  --sysconfdir=/etc \
  --bindir=/usr/bin \
  --disable-mmap \
%if %build_mp_package
  --with-ffmpeg=/usr/include/ffmpeg \
  --with-lame=%_libdir \
%else
  --without-ffmpeg \
  --without-lame \
%endif
%ifarch x86_64
  --with-libarch=lib64 \
%else
  --with-libarch=lib \
%endif
  --with-webuser=wwwrun \
  --with-webgroup=www \
%if %debug_mode
  --enable-crashtrace=yes \
  --enable-debug=yes \
%else
  --disable-crashtrace \
  --enable-debug=no \
%endif
  ZM_DB_HOST=localhost \
  ZM_DB_NAME=zm \
  ZM_DB_USER=zm_admin \
  ZM_DB_PASS=pass \
  ZM_SSL_LIB=openssl

# hack to install perl modules in vendor_perl instead of site_perl
pushd scripts/ZoneMinder
perl Makefile.PL INSTALLDIRS=vendor || return 1
popd

make

%install
make DESTDIR=$RPM_BUILD_ROOT install
%perl_process_packlist
install -m 700 -d %buildroot/usr/share/zm/db
install -m 600 db/*.sql %buildroot/usr/share/zm/db
for f in /etc/logrotate.d /etc/init.d /usr/sbin /etc/cron.hourly/ /var/log /etc/apache2/conf.d
do
	install -d %buildroot/$f
done
install -m 754 %{SOURCE1} %buildroot/etc/init.d/zm
install -m 700 %{SOURCE2} %buildroot/usr/sbin/zm_database_init
ln -s ../../etc/init.d/zm %buildroot/usr/sbin/rczm
install -m 644 %{SOURCE3} %buildroot/srv/www/htdocs/zm/
install -m 644 %{SOURCE9} %buildroot/srv/www/htdocs/zm/mootools.js
install -m 775 -d %buildroot/var/log/zm
install -m 644 %{SOURCE6} %buildroot/etc/logrotate.d/zm
install -m 644 %{SOURCE8} %buildroot/etc/apache2/conf.d/zm.conf
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /usr/share/zm
%dir /usr/share/zm/db
/usr/share/zm/db/*.sql
/etc/apache2/conf.d/*.conf
/srv/www/htdocs/zm/cambozola.jar
%dir /srv/www/htdocs/zm/ajax
/srv/www/htdocs/zm/ajax/*.php
%dir /srv/www/htdocs/zm/css
/srv/www/htdocs/zm/css/*
%dir /srv/www/htdocs/zm/graphics
/srv/www/htdocs/zm/graphics/*
%dir /srv/www/htdocs/zm/includes
/srv/www/htdocs/zm/includes/*.php
%dir /srv/www/htdocs/zm/js
/srv/www/htdocs/zm/js/*
%dir /srv/www/htdocs/zm/lang
/srv/www/htdocs/zm/lang/*.php
/srv/www/htdocs/zm/*.js
/srv/www/htdocs/zm/*.php
%dir /srv/www/htdocs/zm/skins
%dir /srv/www/htdocs/zm/skins/classic
%dir /srv/www/htdocs/zm/skins/classic/ajax
%dir /srv/www/htdocs/zm/skins/classic/css
%dir /srv/www/htdocs/zm/skins/classic/graphics
%dir /srv/www/htdocs/zm/skins/classic/includes
%dir /srv/www/htdocs/zm/skins/classic/js
%dir /srv/www/htdocs/zm/skins/classic/lang
%dir /srv/www/htdocs/zm/skins/classic/views
%dir /srv/www/htdocs/zm/skins/classic/views/css
%dir /srv/www/htdocs/zm/skins/classic/views/js
%dir /srv/www/htdocs/zm/skins/mobile
%dir /srv/www/htdocs/zm/skins/mobile/ajax
%dir /srv/www/htdocs/zm/skins/mobile/css
%dir /srv/www/htdocs/zm/skins/mobile/graphics
%dir /srv/www/htdocs/zm/skins/mobile/includes
%dir /srv/www/htdocs/zm/skins/mobile/lang
%dir /srv/www/htdocs/zm/skins/mobile/views
%dir /srv/www/htdocs/zm/skins/mobile/views/css
/srv/www/htdocs/zm/skins/classic/*.php
/srv/www/htdocs/zm/skins/classic/includes/*.php
/srv/www/htdocs/zm/skins/classic/views/*.php
/srv/www/htdocs/zm/skins/classic/views/css/*
/srv/www/htdocs/zm/skins/classic/views/js/*
/srv/www/htdocs/zm/skins/classic/views/Makefile.am
/srv/www/htdocs/zm/skins/classic/js/*
/srv/www/htdocs/zm/skins/classic/css/*
/srv/www/htdocs/zm/skins/classic/graphics/*
/srv/www/htdocs/zm/skins/mobile/*.php
/srv/www/htdocs/zm/skins/mobile/includes/*.php
/srv/www/htdocs/zm/skins/mobile/views/*.php
/srv/www/htdocs/zm/skins/mobile/views/css/*
/srv/www/htdocs/zm/skins/mobile/css/*
%dir /srv/www/htdocs/zm/tools/
/srv/www/htdocs/zm/tools/*
/srv/www/cgi-bin/nph-zms
/srv/www/cgi-bin/zms
%dir /srv/www/htdocs/zm

%defattr(-,wwwrun,www)
%dir /srv/www/htdocs/zm/events
%dir /srv/www/htdocs/zm/images
%dir /srv/www/htdocs/zm/sounds
%dir /srv/www/htdocs/zm/temp
%dir /srv/www/htdocs/zm/views
%dir /var/run/zm

%defattr(-,root,root)
/var/adm/perl-modules/%{name}
%dir %{perl_vendorlib}/ZoneMinder
%dir %{perl_vendorlib}/ZoneMinder/Control
%dir %{perl_vendorlib}/ZoneMinder/Memory
%dir %{perl_vendorlib}/ZoneMinder/Trigger
%dir %{perl_vendorlib}/ZoneMinder/Trigger/Channel
%dir %{perl_vendorlib}/ZoneMinder/Trigger/Connection
%dir %{perl_vendorarch}/auto/ZoneMinder/
%{perl_vendorarch}/auto/ZoneMinder/.packlist
%{perl_vendorlib}/ZoneMinder.pm
%{perl_vendorlib}/ZoneMinder/*.pm
%{perl_vendorlib}/ZoneMinder/Trigger/*.pm
%{perl_vendorlib}/ZoneMinder/Trigger/Channel/*.pm
%{perl_vendorlib}/ZoneMinder/Trigger/Connection/*.pm
%{perl_vendorlib}/ZoneMinder/Control/*.pm
%{perl_vendorlib}/ZoneMinder/Memory/*
/usr/bin/*
%config(noreplace) /etc/init.d/zm
%_sbindir/zm_database_init
%_sbindir/rczm
%_mandir/man3/*
/etc/logrotate.d/zm
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README* LICENSE*
%defattr(640,root,www)
%config(noreplace) /etc/zm.conf
%defattr(-,root,www)
%dir /var/log/zm

%post
/sbin/ldconfig
touch /usr/share/zm/lock

%preun
%stop_on_removal zm
if [ $1 -eq 0 ]; then
	if test -f /usr/share/zm/lock ; then
		rm -f /usr/share/zm/lock
	fi
fi

%postun
%restart_on_update zm
%insserv_cleanup
/sbin/ldconfig

%if %build_mp_package
%changelog -n ZoneMinder-MP
%else
%changelog -n ZoneMinder
%endif
* Tue Jun 30 2009 - monex@liquid-co.de
- updated to version with zmupdate.pl fix
* Mon Jun 29 2009 - monex@liquid-co.de
- update to 1.24.2
  *  FEATURE - Added facility to probe when adding new monitors. This will
     potentially detect attached local devices and network cameras (of major
     manufacturers) and suggest sensible defaults.
  * FEATURE - SDP parsing of MPEG streams etc is now done in ZoneMinder
    rather than ffmpeg. This means that more information can be deduced so
    the monitor sub path parameter is now longer necessary.
  * FEATURE - Added support for different Video4Linux versions to zmu
  * FEATURE - Added patch contributed to improve performance under IE and
    also better detection of stream termination in zms.
  * FEATURE - Added better support for localised installs by allowing
    scripts to reference local copies of the perl modules instead of the
    system ones if required.
  * FEATURE - Added incremental naming scheme for new monitors, plus more
    sensible defaults
  * FEATURE - Updated to use version 1.2.1 of Mootools.
  * FIX - Various RTSP/RTP fixes to improve reliability and crash resistance.
  * FIX - Removed some troublesome references to defines from ffmpeg that
    were causing issues for people with different versions.
  * FIX - Corrected local camera presets to account for Video4Linux versions
  * FIX - Corrected various layout issues in montage and event stills views.
  * FIX - Addressed various issues with Ajax and communications with stream processes
  * FIX - Added contributed patch to reset camera settings to saved values on restart
  * FIX - Corrected various outstanding PHP warnings.
  * FIX - Various minor web issues and misformatting corrected.
  * LANGUAGE - Fixed issue with trailing white-space in language files causing
    issues with headers.
  * LANGUAGE - Added cn-zh Chinese language file. 
* Thu Feb 26 2009 - monex@liquid-co.de
- update to 1.24.1
  * FEATURE - Allows shortcut logins on any page of web interface via passing of
    'auth' hash as currently passed to zms. This must be explicitly enabled via
    AUTH_HASH_LOGINS option, read the help text of that option for more details.
  * FEATURE - Changed exit message on forced aborts, issues addr2line command to
    execute when exiting abnormally to logs.
  * FEATURE - Added V4L_MULTI_BUFFER option to control amount of buffering used
    by capture cards with multiple inputs per chip. Please read the option help
    text for more information.
  * FEATURE - Improved debug on event creation and closing to make clearer
    why/when events are starting and stopping.
  * FEATURE - Improved buffer overrun handling to detect and output when this is
    caused by analysis daemon not processing images.
  * FIX - Multiple updates to Video 4 Linux 2 handling for analog cameras.
  * FIX - Fixed issue with greyscale analog cameras not functioning properly.
  * FIX - Fixed problem with EXTRA_DEBUG_TARGET not working properly for some
    targets.
  * FIX - Issue with RTSP basic authentication not picking up supplied username
    and password properly corrected.
  * FIX - Added missing guard ifdefs in zm-debug.h to prevent multiple
    inclusion.
  * FIX - Fixed problem with cleanup of mapped memory files.
  * FIX - Fixed problem with event exports.
  * FIX - Fixed various issues when defining new control presets.
  * FIX - Fixed options mismatch Video 4 Linux versions when defining new
    monitors.
  * FIX - Fixed problem with monitor reordering on console page.
  * FIX - Fixed problem with logins on 'mobile' skin.
  * TRIVIAL - Improved debug emitted on capture failures.
  * TRIVIAL - Options are now listed without the leading ZM_ as was a bit
    redundant.
  * TRIVIAL - Moved DUMP_CORES option to Debug section.
* Tue Feb 10 2009 - monex@liquid-co.de
- update to 1.24.0
- fix build for with ffmpeg
- updated fix warnings patch
* Wed Feb 04 2009 - monex@liquid-co.de
- update to latest release candidate 2740
- now using vendor_perl instead of site_perl for ZoneMinder perl modules.
* Mon Feb 02 2009 - monex@liquid-co.de
- update to latest release candidate
* Mon Dec 22 2008 - monex@liquid-co.de
- fix build for 11.1
* Fri Nov 7 2008 - monex@liquid-co.de
- updated the description to make clear this is unstable
* Sat Oct 18 2008 - monex@liquid-co.de
- 1.24.0 rc1 test build
* Wed Aug 6 2008 - monex@liquid-co.de
- more elegant way for the lock file
* Tue Jun 24 2008 - monex@liquid-co.de
- fix build for older sl versions
* Sun Jun 22 2008 - monex@liquid-co.de
- fix compile for opensuse 11.0
* Sat Jun 7 2008 - monex@liquid-co.de
- fixed some compiler warnings which may causes crashes.
* Fri Jun 6 2008 - monex@liquid-co.de
- zm_database_init now creates a backup copy of the old .my.cnf file
- fixed missing newline after the beginning of the client section
  in updated .my.cnf
* Mon Apr 28 2008 - monex@liquid-co.de
- fixed incorrect zm_database_initscript
* Sun Apr 27 2008 - monex@liquid-co.de
- update to 1.23.3
  - SECURITY : Fixed a number of potential vulnerabilities in remote
    script execution that could allow an authenticated ZoneMinder user
    to create and run arbitrary code on your system as the web user.
  - FEATURE : Revamped the DVR events view to allow better nagivation
    between events. Also reinstated the ability to delete events
    directly from the DVR live feed view.
  - FEATURE : After a number of requests, added pagination navigation
    to the bottom of the event lists as well as the top.
  - FIX : Fixed an issue where filter queries were sometimes url
    encoded twice meaning that clicking onto subsequent pages
    from a filtered view lost the filter and displayed all events
    instead of ust the filtered set.
  - FIX : Fixed an issue where scrolling between the monitors
    in the xHTML mobile interface was broken when scrolling
    past the first one.
  - FIX : Fixed an issue in the trigger and X.10 scripts where
    transitions from tape mode to alarm were not detected and triggered.
    This occured if you were running cameras in modect mode.
  - FIX : Fixed a problem with incorrect specification in the
    installed Purge When Full filter for new installations.
  - FIX : Fixed a problem in zmtrack.pl which was still using the
    old style PTZ control commands.
  - FIX : Fixed an issue in the xHTML mobile interface where the
    default screen size was not being correctly interpreted
    meaning images overflowed the screen.
* Mon Feb 25 2008 - monex@liquid-co.de
- improved zm_database_init script.
    - uses .my.cnf in folder root now which is more user-frienldy
    - generates .my.cnf if files does not exist
    - updates .my.cnf if client section is missing or
      user and password not set
    - improved security by giving all priviliges to zm_admin user
      (on zm database) during update and giving normal rights back
      after update
    - update is compatible to other installations which uses other
      zm database user by reading the config file of zoneminder
* Sun Feb 24 2008 - monex@liquid-co.de
- update to 1.23.2
    - FEATURE : Having been dropped for 1.23.0 the openssl library
      is now available as a build option for system that do not support
      gnutls, which remains the preferred, and default, option.
      To use openssl instead of gnutls, include the following
      'ZM_SSL_LIB=openssl' on your configure line.
    - FEATURE : Made Ajax request timeout configurable for DVR
      interfaces (Options->* B/W->ZM_WEB_*_AJAX_TIMEOUT).
    - FEATURE : Added simple monitor presets for Veo Observer
      and BlueNet Video Server.
    - FIX : Fixed an issue when using deep file storage where event
      files were being sometimes erroneously deleted by the audit process.
    - FIX : Interactive filters were sometimes not being run correctly due
      to some old filter code having not been migrated properly.
    - FIX : Various xHTML view issues and errors were fixed.
    - FIX : Fixed an error when reloading linked monitor.
      The number of zones instead of the number of monitors was being used.
    - FIX : The diagonal arrows in the PTZ views contained an issue which
      mean that they did not always work. This has been fixed.
    - FIX : Version 1.23.1 shipped with a misnamed PurgeWhenFull
      filter (xPurgeWhenFull), this version renames it to avoid confusion.
    - FIX : Recent versions included a PurgeWhenFull filter in the old filter
      format meaning it was a bit useless. If found this is
      now corrected to the new format.
    - FIX : Fixed a mislabelling of a function parameter in a header
      file that caused the latest g++ to complain.
    - LANGUAGE : Updated Hungarian language translation
    - LANGUAGE : Updated German language translation 
* Mon Feb 4 2008 - monex@liquid-co.de
- added patch to fix one declaration in zm_imgae.h
* Mon Jan 14 2008 - monex@liquid-co.de
- fixed path in zm conf patch for a consistent behaviour with
  zm_database_init skript
- remove listed twice mootools file
* Sun Jan 13 2008 - monex@liquid-co.de
- update to 1.23.1
    - FEATURE : Added checkbox in monitor specification view
      allowing height to be calculated automatically from width
      (or vice versa) according to preset aspect ratio if desired.
      This is preset to 4:3 but can be amended globally via the
      Options->Config->ZM_DEFAULT_ASPECT_RATIO setting. Aside from
      4:3 which is the usual for network cameras another common
      setting is 11:9 for CIF (352x288) based sources especially PAL.
    - FIX : Fixed several related issues with PTZ protocol fields
      in the database and associated control and scripts.
    - FIX : Fixed an issue whereby incorrect defines were used to
      check for gnutls settings. This meant that hash based
      authentication stopped working.
    - FIX : Fixed issue where video generation failed if the deeep
      storage format was selected.
    - FIX : Fixed problem with streaming historical events when
      the relevant monitor was no longer active.
    - LANGUAGE : Changed 'Archive' when used as a noun to
      'Archived' to avoid ambiguity with 'Archive' the verb.
    - LANGUAGE : Removed duplicate language tokens in some language
      files that were overiding translated versions with untranslated ones.
    - LANGUAGE : Update Hungarian language translation. 
* Wed Dec 26 2007 - monex@liquid-co.de
- added patch for fixing the gnutls auth bug
* Tue Dec 25 2007 - monex@liquid-co.de
- fix build for version with ffmpeg
- added fix for zm_create.sql
* Mon Dec 24 2007 - monex@liquid-co.de
- update to 1.23.0 release
* Mon Nov 12 2007 - monex@liquid-co.de
- update to rc2
* Fri Oct 19 2007 - monex@liquid-co.de
- decided to give the MP package a uniquie package name
- ZoneMinder now conflicts with MP package
* Wed Oct 17 2007 - monex@liquid-co.de
- added zm.conf to apache conf.d for enabling open short tags
* Fri Sep 21 2007 - monex@liquid-co.de
- recommends new built perl modules
- included mootools
* Thu Sep 20 2007 - monex@liquid-co.de
- update to RC1
  - FEATURE - Added optional DVR functionality (Web->ZM_WEB_DVR_STREAMING)
    in new CSS and Ajax based views. This allows you to pause, rewind,
    digitally zoom and pan on live streams and replayed events. Due to lag
    issues this really only works well on mpjpeg streaming and not so good
    with mpeg streams. This feature should be considered beta only and the
    streams and control may not always be reliable.
  - FEATURE - ZM can now optionally use a deep file storage tree to avoid
    the 32k limit on files per directory (Paths->ZM_USE_DEEP_STORAGE).
    This should only be set on initial install, changing it to a different
    setting will almost certainly lose all your events. There is currently
    no migration of events backs and forth between formats.
  - FEATURE - Added specific alarm file quality setting
    (Images->ZM_JPEG_ALARM_FILE_QUALITY) that if set to a higher quality
    than the regular one (Images->ZM_JPEG_FILE_QUALITY) then it is used
    when saving images when in alarmed state.
  - FEATURE - Image timestamp tokens have changed. They are now %N for
    monitor name (previously first %%s) and %Q for show text (previously
    second %%s). There is also a %f token which is the fractional part of
    the seconds in the timestamp.
  - FEATURE - Monitors can now be configured to suspend motion detection
    for a set number of frames if maximum alarmed pixels/filter pixels/blob
    counts are exceeded. This helps limit alarms caused by sudden large scale
    lighting changes for example.
  - FEATURE - PTZ control functionality is now in the form of a perl library
    for each protocol used by a single script rather than lots of scripts.
    This is easier to maintain and use and will allow support for protocols
    that require some state persistence between commands. Performance and
    responsiveness is also much improved by direct socket connections to the script.
  - FEATURE - Filters have been enhanced and largely rewritten behind the
    scenes. Little functional effect yet but makes it easier to add future
    improvements and manage filters generally. FEATURE - If you include the
    jscalendar javascript calendar (http://www.dynarch.com/projects/calendar/)
    in your ZM web dir in a 'calendar' subdirectory then filter date/time dialogs
    will use a popup calendar for easier date selection.
  - FEATURE - The monitor alarm colour (indicating loss of signal) is now defined
    on a per monitor basis. The previous setting is not migrated so you should
    check all your local monitors if you have changed this.
  - FEATURE - Users can optionally be set to be able to change their own
    language and passwords (Config->ZM_USER_SELF_EDIT)
  - FEATURE - Filters can now check for system load
  - FEATURE - Image/event details are now written to the JPEG file header
    of saved images. I'm not sure this is done in the same way as other packages however.
  - FEATURE - The mysql database connection port can now be specified along
    with the host in the format host:port
  - FEATURE - WML support has now been removed as deprecated.
  - FIX - Unprivileged users can no longer edit the zone settings, even
    though changes were not saved before anyway.
  - FIX - Fixed ffmpeg support for latest CVS builds, also added libswscale
    support to avoid using deprecated img_convert function.
  - FIX - Fixed monitor preset bug
  - FIX - Fixed issue with immediate action filters not working properly.
  - FIX - Fixed issue with incorrect line ending causing problems with some web cameras.
  - LANGUAGE - Added Hungarian language support
  - LANGUAGE - Added Romanian language support
  - LANGUAGE - Added Hebrew language support
- merged  specfile for mp package and normale suse package
- removed usedforbuild tag
- updated zm config patch
- added perl-php-serialization to required filters wont work without
- for this package crash trace is enabled because it's a rc
- added README.SuSE file for some informations
* Wed Jul 25 2007 - monex@liquid-co.de
- updated chown patch
* Wed May 30 2007 - monex@liquid-co.de
- applied zm-1.22.3-filter.patch from zm homepage
* Sun May 20 2007 - monex@liquid-co.de
- added debug_package macro
* Wed Feb 21 2007 - monex@liquid-co.de
- added options to zm_database script:
  - '-h', '--host" to take the mysql hostname
  - '--help' for short usage instructions
- config file will be updated with new database host when specified
* Mon Feb 19 2007 - monex@liquid-co.de
- applied monitor preset patch from zoneminder website
* Wed Feb 14 2007 - monex@liquid-co.de
- zm_database_init script will now accept 'y' for config edit question
* Tue Feb 6 2007 - monex@liquid-co.de
- rotate patch fixed. now it should work correct.
* Mon Feb 5 2007 - monex@liquid-co.de
- added rotate patch for nph-zms and zms
- added all perl modules to required that are also in buildrequires
- added netpbm to requires
- netpbm is now activated by default
* Mon Jan 22 2007 - monex@liquid-co.de
- added author to init script
- fixed typo on service start in init script
- fixed usedforbuild
* Thu Jan 18 2007 - monex@liquid-co.de
- changed rpm group to Productivity/Networking/Web/Servers
* Sun Jan 14 2007 - monex@liquid-co.de
- removed gcc41 and gcc41-c++ from requires for 10.2. this will be resolved due to dependencies
- improved zm_database_init skript for not entering the root password twice
* Wed Jan 10 2007 - monex@liquid-co.de
- fixed build for sl version < 10.2
* Mon Jan 1 2007 - monex@liquid-co.de
- fixed build for sl version 10.2
* Wed Dec 27 2006 - monex@liquid-co.de
- added perl with version build against to requires
* Fri Dec 8 2006 - monex@liquid-co.de
- added check for correct db update path to zm_init_db script
- added ctrl-c exception handling in zm_init_db script
- changed all default paths from /usr/local/bin to /usr/bin
* Thu Dec 7 2006 - monex@liquid-co.de
- redownload ZoneMinder because of some trouble in first version
- fixed upgrade with zm_database_init script
- added php5-sockets to requires
* Mon Dec 4 2006 - monex@liquid-co.de
- email address correcting in changelog
- adjusted socket default parameter to /var/run/zm
- adjusted extra logs to /var/log/zm
* Sat Dec 2 2006 - monex@liquid-co.de
- status now is correct displayed in zm init script
- correct status when starting zm with init script is now displayed
- updated required php modules
- changed zm_database_init skript os that you will be asked to perform an update. this is usefull when update was
  performed with zmupdate.pl before and you want to remove lockfile and update version string in config file
- updated zm init skript, so that it is possible to shut down zm even if lockfile still exist. in this case exit value
  will be always true. but when lockfile is not present, the real exit value will be used.
* Tue Nov 28 2006 - monex@liquid-co.de
- repaired update functionality in zm_database_init skript. you could now use this script to successfully update
- added more specific logrotate file for every logfile
- added reload option to init skript
- added reloading zm when logrotation is done
- now using startproc in init script to start zoneminder. this result in starting perl processes in background and
  processes wil not be a child from the bash shell. (beware when setting dependencies to zm in other startup scripts)
* Fri Nov 24 2006 - monex@liquid-co.de
- update to version 1.22.3
* Mon Nov 20 2006 - monex@liquid-co.de
- added macro "perl_process_packlist" to create suseconfig script for ZoneMinder in /var/adm/perl-modules
* Sun Nov 19 2006 - monex@liquid-co.de
- fixed init status display in init skript. status now will be correct displayed
- fixed display of correct filname to init database
- config now not readable anymore for anyone on system
- added graphics directory in webdir
- added cambozola by default
- adjust default config for enabeling cambozola by default
- service now will be stopped on uninstall
- service zm will be restarted after update
- insserv will be cleaned up on uninstall
- added logrotate skript (maybe better one later)
* Sat Nov 18 2006 - monex@liquid-co.de
- initial package
